/**
 * @(#)EntryKey.java - Is used to index the entries in the hashtable
 * which holds all entries.  The key/index consists of the year and
 * the player number. Basically it is a wrapper class for two ints.
 *
 * Created on August 1, 2000, 9:05 PM
 */
 


/** 
 *
 * @author  Raimar Falke <rf13@inf.tu-dresden.de>
 * @version 0.01
 */

/**
   ********************************************************************
 CivLog - Copyright (C) 2000 - Wong Teck Meng
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
**********************************************************************
                                                                      */
/**
 * Is used to index the entries in the hashtable which holds all
 * entries.  The key/index consists of the year and the player
 * number. Basically it is a wrapper class for two ints.
 */

public class EntryKey
{
  private int year, player;

  public EntryKey (int year, int player)
  {
    this.year = year;
    this.player = player;
  }

  /** 
   *  We have to define hashCode and equals to use a class as a key
   *  in a hashtable
   */
  public boolean equals (Object other)
  {
    if (other instanceof EntryKey)
    {
      EntryKey otherKey = (EntryKey)other;

      return ( (otherKey.year==year) && (otherKey.player==player));
    }
    else
    return false;
  }

  public int hashCode ()
  {
    return year + player;
  }
}
